Loading...
Searching...
No Matches
ZyanArgParseArg_ Struct Reference

`#include <ArgParse.h>`

Collaboration diagram for ZyanArgParseArg_:
[legend]

## Public Attributes

const ZyanArgParseDefinition * | def
ZyanBool | has_value
ZyanStringView | value

## Detailed Description

Information about a parsed argument.

## Member Data Documentation

## def

const ZyanArgParseDefinition* ZyanArgParseArg_::def

Corresponding argument definition, or ZYAN_NULL for unnamed args.

This pointer is borrowed from the cfg pointer passed to ZyanArgParse.

## has_value

ZyanBool ZyanArgParseArg_::has_value

Whether the argument has a value (is non-boolean).

## value

ZyanStringView ZyanArgParseArg_::value

If has_value == true, then the argument value.

This is a view into the argv string array passed to ZyanArgParse via the cfg argument.

The documentation for this struct was generated from the following file:

- include/Zycore/ArgParse.h